Skip to main content
GET
/
market
/
v2
/
financial-statement
/
statement
cURL
curl -H "X-FH-APIKEY: $FINHAY_API_KEY" \
  "https://open-api.fhsc.com.vn/market/v2/financial-statement/statement?symbol=VNM&type=cash-flow&period=quarterly&limit=5"
{
  "error_code": "0",
  "message": "success",
  "data": [
    {
      "year": 2025,
      "quarter": 4,
      "loinhuanlotruocthue": 3476999882086,
      "khauhaotaisancodinh": 541738993017,
      "chiphilaivay": 89980184766,
      "loinhuanlotuhoatdongkinhdoanhtruocthaydoivonluudong": 3875782613126,
      "tanggiamhangtonkho": -696279778126,
      "thuethunhapdoanhnghiepdanop": -367025679910,
      "luuchuyentienthuantuhoatdongkinhdoanh": 1738942804862,
      "tienchidemuasamxaydungtaisancodinh": -345651260618,
      "luuchuyentienthuantuhoatdongdautu": -273822901641,
      "tienvaynganhandaihannhanduoc": 6403017072055,
      "tienchitranogocvay": -5218255024631,
      "cotucloinhuandatrachochusohuu": -6007520145910,
      "luuchuyentienthuantusudungvaohoatdongtaichinh": -4822758098486,
      "luuchuyentienthuantrongnam": -3357638195265,
      "tienvatuongduongtiendaunam": 5154466367051,
      "anhhuongcuathaydoitygiahoidoaiquydoingoaite": -1948452915,
      "tienvatuongduongtiencuoinam": 1794879718871
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.fhsc.com.vn/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-FH-APIKEY
string
header
required

API key dài hạn của client. Cấu hình 1 lần lúc khởi tạo; có thể wire thẳng vào static setter của SDK tự-gen. Đi kèm với FINHAY_API_SECRET — secret này chỉ dùng ở phía client để tính X-FH-SIGNATURE, không bao giờ gửi qua mạng.

Query Parameters

symbol
string
required

Mã stock (chữ hoa, chữ số).

Example:

"VNM"

type
enum<string>
required

Loại báo cáo. Loại báo cáo dùng cho /market/v2/financial-statement/statement.

Giá trịÝ nghĩa
income-statementBáo cáo kết quả kinh doanh
balance-sheetBảng cân đối kế toán
cash-flowBáo cáo lưu chuyển tiền tệ
Available options:
income-statement,
balance-sheet,
cash-flow
period
enum<string>

Kỳ báo cáo. Kỳ báo cáo cho truy vấn tài chính doanh nghiệp.

Giá trịÝ nghĩa
annualTheo năm
quarterlyTheo quý
Available options:
annual,
quarterly
limit
integer
default:5

Số kỳ cần lấy (1–5, mặc định 5).

Required range: 1 <= x <= 5
Example:

5

Response

Trả về data mảng các kỳ báo cáo theo format wide — mỗi row là 1 kỳ; metric code khác nhau giữa income-statement / balance-sheet / cash-flow.

Các field chung của envelope trong mọi response của Finhay API.

  • error_code"0" (string) khi thành công, mã khác "0" khi lỗi.
  • message là thông điệp ngắn từ server.
data
object[]
required
error_code
string

"0" khi thành công, khác "0" khi lỗi.

Example:

"0"

message
string

Thông điệp trạng thái dễ đọc.

Example:

"success"